# Salt Formula Manager

Tool to automate the downloading of Salt formulas

### Table of Contents

1. [Overview - what you just read...](#overview)
2. [Usage - How to use this thing](#usage)
3. [Configuration - Getting this thing ready to roll](#configuration)
4. [To Do - What needs getting done](#to-do)
5. [License - Licensing information](#license)
6. [Contact - How to contact me](#contact)

## Overview

The goal of this tool is provide a flexible, yet powerful tool to manage Salt formulas. It aims to support many different configurations in an intuitive manner, such as, but not limited to:

* Downloading formulas from multiple sources
* Keeping formula management to one single configuration file
* Avoiding needing to modify the Salt master config file to add new formula sources

Indeed, SaltStack are working on a tool, Salt Package Manager, that aims to do similar things. However, that tool feels a little "hacky", in my opinion, and doesn't use some of the tools that are already available to us, such as git/GitHub, and it requires the use of hosting packages out of a separate repository. Granted, that approach does have its positives, but I felt that I needed something a little lighter than that solution. To each their own :)

## Usage

TODO - this needs to be done sometime...

## Configuration

TODO - this needs to be done sometime...

## To Do

What still needs done...

* Creating symlinks from formulas directory to states directory (to avoid having to check/modify the Salt master configuration)
* Check/modify the Salt master's configuration to allow loading of the downloaded formulas
* Logging actions, failures, etc into a log file
* Tracking a specific commit (maybe?)
* Tracking a tag (maybe?)
* Better configuration management (e.g. maybe using a class to handle configuration, where to put the configuration files, etc)
* Maybe not running a `git pull` on every repo, every time the script is run?
* Managing multiple Salt environments

## License

This program is licensed under the Mozilla Public License, version 2.0 (I'm not a license guru, if this needs to be changed to comply with other licenses, I'll gladly change it)

## Contact

Email me at: brotherballantine@gmail.com

Or you can find me on:
* [Mastodon](https://mastodon.rocks/@brotherballan)
* [Wire](@brotherballan)
* [Google+](https://plus.google.com/+GregoryBallantine1)

